namespace Quadarax.Foundation.Core.Data.Interface.Domain
{
    public interface IDomain
    {
        TEntitySet GetDbSet<TEntitySet>();
        IUnitOfWork<TDomainContext> CreateUnitOfWork<TDomainContext>() where TDomainContext : IDomain;
        void Commit();
    }
}
